
Redmine - Defect #14627

undefined method `show_value' on issues list PDF export

2013-08-07 09:21 - remy H

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.2

Description

Hello

I had a problem when I tried to export to PDF my issues. Here is the trace :

NoMethodError (undefined method `show_value'):

lib/redmine/export/pdf.rb:260:in `block in fetch_row_values'

lib/redmine/export/pdf.rb:257:in `collect'

lib/redmine/export/pdf.rb:257:in `fetch_row_values'

lib/redmine/export/pdf.rb:302:in `block in calc_col_width'

app/helpers/issues_helper.rb:29:in `block in issue_list'

app/helpers/issues_helper.rb:25:in `each'

app/helpers/issues_helper.rb:25:in `issue_list'

lib/redmine/export/pdf.rb:300:in `calc_col_width'

lib/redmine/export/pdf.rb:428:in `issues_to_pdf'

I found what was wrong :

"include CustomFieldsHelper" is missing in /lib/export/pdf.rb

to call "show_value" in "fetch_row_values" method.

Maybe someone should fix this.

History

#1 - 2013-08-07 09:27 - remy H

By the way I forgot :

Environment:

Redmine version                2.3.2.stable

Ruby version                   1.9.3-p448 (2013-06-27) [i386-mingw32]

Rails version                  3.2.13

Environment                    production

Database adapter               Mysql2

#2 - 2013-08-07 10:01 - Toshi MARUYAMA

I cannot reproduce.

Issue controller includes CustomFieldsHelper.

source:tags/2.3.2/app/controllers/issues_controller.rb#L38

#3 - 2013-08-07 10:13 - Toshi MARUYAMA

Issues helper uses show_value.

source:tags/2.3.2/app/helpers/issues_helper.rb#L160

It may be better including in issues helper than lib/redmine/export/pdf.rb.

#4 - 2013-08-07 10:22 - Toshi MARUYAMA

- Subject changed from Bug on PDF export to undefined method `show_value' on PDF export

#5 - 2013-08-07 10:35 - Toshi MARUYAMA

- Subject changed from undefined method `show_value' on PDF export to undefined method `show_value' on issues list PDF export
